Bug 441171 - /usr/share/texmf/dvips/config/config.ps should be marked %config(noreplace) (again!)
/usr/share/texmf/dvips/config/config.ps should be marked %config(noreplace) (...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texlive-texmf (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-06 20:01 EDT by Jonathan Kamens
Modified: 2013-07-02 19:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-06 08:36:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2008-04-06 20:01:26 EDT
The problem reported in bug #127377 for tetex-dvips is back for
texlive-texmf-dvips.  Every time I upgrade the RPM, my
/usr/share/texmf/dvips/config/config.ps is blown away and I need to replace it.
 I'm pretty sure it should be %config(noreplace).
Comment 1 Jindrich Novy 2008-04-07 09:16:49 EDT
Fixed in rawhide.
Comment 2 Patrice Dumas 2008-04-07 15:37:14 EDT
Please, don't fix it. You should just put the dvips/config/config.ps
file in /etc/texmf. It is where local configuration goes, 
/usr/share/texmf/dvips/config/config.ps is for vendor configuration
file.
Comment 3 Jonathan Kamens 2008-04-07 15:42:47 EDT
But then how will we know when changes are made to the standard config.ps that 
we might want to incorporate into our customized one?

If the standard one is treated as %config(noreplace), then when changes are 
made, RPM or yum will warn about the .rpmsave file.  Otherwise, we'll never 
know when config.ps is enhanced in a way we care about.
Comment 4 Patrice Dumas 2008-04-07 15:58:28 EDT
If it is %config(noreplace) and you didn't modified it, a .rpmsave won't be created.

Anyway I understand what you are asking for, but unless I am wrong, this
is not the intended use of %config(noreplace). It seems to me that this is 
used for files that are supposed to be edited by the user, such that the changes
done by the user are not overwritten, and it is not the case for
usr/share/texmf/dvips/config/config.ps. So %config(noreplace) is not 
intended as a mean to detect that a file changed. It seems to me that
you are 'abusing' the use case of %config(noreplace) (though, once again,
your 'abuse' makes sense).

Therefore I really think that it shouldn't be %config(noreplace), though
I am not sure about how you should handle this issue. Well, I have some 
ideas (do a rpm and yum wrapper that register the md5sum of a list of files
before running, for example), but not within rpm/yum.
Comment 5 Kevin Kofler 2008-04-08 11:03:58 EDT
Files in /usr marked %config are usually frowned upon, config files belong 
to /etc if possible.
Comment 6 Bug Zapper 2008-05-14 04:59:34 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 20:01:33 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jonathan Kamens 2009-06-10 11:45:36 EDT
config.ps is now in /var/lib/texmf/dvips/config, not /usr/share/texmf/dvips/config, which means that the objections above to making it a config file and the statement that it should be moved to /etc/texmf are no longer correct.  Ergo, this is still a bug, so I'm moving the version to rawhide.
Comment 9 Patrice Dumas 2009-06-10 12:01:07 EDT
(In reply to comment #8)
> config.ps is now in /var/lib/texmf/dvips/config, not
> /usr/share/texmf/dvips/config, which means that the objections above to making
> it a config file 

Unless I am missing something, files in /var/lib/texmf/dvips/config should never ever be config files.

> and the statement that it should be moved to /etc/texmf are no
> longer correct.

I didn't told that the config file from the package should be moved to /etc/texmf, but that the config file you did should be in /etc/texmf.
Comment 10 Bug Zapper 2009-11-16 03:04:01 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-11-04 07:57:36 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-12-05 02:11:58 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Jonathan Kamens 2010-12-06 16:23:36 EST
This is still broken.
There are now two config.ps files /usr/share/texmf/dvips/config/config.ps and /var/lib/texmf/dvips/config/config.ps. It's not clear why there are two.
Inexplicably, the one in /usr is marked as a config file and the one in /var isn't. This makes no sense. The definition of /usr vs. /var is that files in /usr are supposed to be constant (i.e., not modified by the user) whereas files in /var are supposed to be modifiable. Therefore, if anything, the one in /usr should *not* be marked a config file and the one in /var *should be*.
I really don't understand what Patrice Dumas means about /var being the wrong place for files marked %config. A quick search reveals at least 67 files in /var on my system that are marked %config.
Comment 14 Fedora Update System 2012-10-20 01:25:26 EDT
texlive-2012-3.20121019_r28030.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/texlive-2012-3.20121019_r28030.fc18
Comment 15 Fedora Update System 2012-10-21 02:00:13 EDT
Package texlive-2012-3.20121019_r28030.fc18, PyX-0.11.1-4.fc18, evince-3.6.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing texlive-2012-3.20121019_r28030.fc18 PyX-0.11.1-4.fc18 evince-3.6.1-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16563/PyX-0.11.1-4.fc18,evince-3.6.1-2.fc18,texlive-2012-3.20121019_r28030.fc18
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.